Skip to navigation

Get watermark preview

View as Markdown

Update the watermark for the account.

Note: Many of the request fields must be set to specific values. If you use an invalid value for one of these fields, the endpoint may return 200 OK but set the field to a default value. See the request body for more information.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

Request

This endpoint expects an object: watermark

displayAnglestringOptional

The display angle of the watermark. Valid values:

  • 0 (horizontal)
  • 45 (diagonal)
  • 90 (vertical)
enabledstringOptional

When true, the watermark will be applied to documents that are still in progress. When false, the watermark will not be applied.

fontstringOptional

The watermark’s font. Valid values:

  • courier
  • helvetica
  • timesnewroman
fontColorstringOptional

The watermark’s font color. Valid values:

  • black
  • blue
  • red
  • gray
  • yellow
fontSizestringOptional

The watermark’s font size. Valid values:

  • 30
  • 40
  • 50
  • 60
  • 70
  • 80
  • 90
idstringOptional
The ID of the watermark.
imageBase64stringOptional

The Base64 representation of the watermark image.

This property is read-only.

transparencystringOptional

The transparency percentage of the watermark image. Valid values:

  • 5
  • 10
  • 15
  • 20
  • 25
  • 30
  • 35
  • 40
  • 45
watermarkTextstringOptional
The text for the watermark.

Response

Successful response.
displayAnglestringOptional

The display angle of the watermark. Valid values:

  • 0 (horizontal)
  • 45 (diagonal)
  • 90 (vertical)
enabledstringOptional

When true, the watermark will be applied to documents that are still in progress. When false, the watermark will not be applied.

fontstringOptional

The watermark’s font. Valid values:

  • courier
  • helvetica
  • timesnewroman
fontColorstringOptional

The watermark’s font color. Valid values:

  • black
  • blue
  • red
  • gray
  • yellow
fontSizestringOptional

The watermark’s font size. Valid values:

  • 30
  • 40
  • 50
  • 60
  • 70
  • 80
  • 90
idstringOptional
The ID of the watermark.
imageBase64stringOptional

The Base64 representation of the watermark image.

This property is read-only.

transparencystringOptional

The transparency percentage of the watermark image. Valid values:

  • 5
  • 10
  • 15
  • 20
  • 25
  • 30
  • 35
  • 40
  • 45
watermarkTextstringOptional
The text for the watermark.

Errors

400
Bad Request Error